Inbox · Reviews

List reviews

Returns reviews, one page at a time.

GEThttps://api.pozy.ai/v1/inbox/reviews
listInboxReviews

Guides: Reviews, Google Business Profile, Google reviews

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the engagement resource group disabled get 403 resource_group_disabled. Authentication

Query parameters

NameTypeNotes
profileIdstring
platformstringOne of facebook, googlebusiness
minRatinginteger1 to 5
maxRatinginteger1 to 5
hasReplyboolean
sortBystringOne of date, ratingDefault date
sortOrderstringOne of asc, descDefault desc
limitintegerDefault 251 to 50
cursorstring
accountIdstring

Example

curl -X GET "https://api.pozy.ai/v1/inbox/reviews?limit=25" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • statusstring
  • dataarray of object
    17 child fields
    • idstring
    • platformstring
    • accountIdstring
    • accountUsernamestring
    • locationIdstring
    • locationNamestring

      Can be null.

    • reviewerobject
      3 child fields
      • idstring

        Can be null.

      • namestring
      • profileImagestring

        Can be null.

    • ratinginteger
    • recommendationTypestring

      One of positive, negative. Can be null.

    • textstring
    • createdstring (date-time)
    • hasReplyboolean
    • hasPhotosboolean
    • photoCountinteger
    • photosarray of object
      1 child field
      • urlstring (URL)
    • replyobject

      Can be null.

      3 child fields
      • idstring
      • textstring
      • createdstring (date-time)
    • reviewUrlstring

      Can be null.

  • paginationobject
    • hasMoreboolean
    • nextCursorstring

      Can be null.

  • metaobject
    • accountsQueriedinteger
    • accountsFailedinteger
    • failedAccountsarray of object
      6 child fields
      • accountIdstring
      • accountUsernamestring

        Can be null.

      • platformstring
      • errorstring
      • codestring

        Can be null.

      • retryAfterinteger

        Can be null.

    • lastUpdatedstring (date-time)
    • accountsSkippedarray of object
      2 child fields
      • accountIdstring
      • platformstring
  • summaryobject
    • totalReviewsinteger
    • averageRatingnumber

      Can be null.

200 response
{
  "status": "active",
  "data": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "platform": "instagram",
      "accountId": "696e0b682d0a31188e7a2ba9",
      "accountUsername": "acme",
      "locationId": "6e99c3dd69982b334a43b0b2",
      "locationName": "Acme",
      "reviewer": {
        "id": "6bfebd43ddc270f6d2c56fc5",
        "name": "Acme",
        "profileImage": "string"
      },
      "rating": 1,
      "recommendationType": "positive",
      "text": "Hello from Pozy",
      "created": "2026-10-02T09:00:00.000Z",
      "hasReply": true,
      "hasPhotos": true,
      "photoCount": 42,
      "photos": [
        {
          "url": "https://pozy.ai/media/example-1.jpg"
        }
      ],
      "reply": {
        "id": "6bfebd43ddc270f6d2c56fc5",
        "text": "Hello from Pozy",
        "created": "2026-10-02T09:00:00.000Z"
      },
      "reviewUrl": "https://pozy.ai/media/example-1.jpg"
    }
  ],
  "pagination": {
    "hasMore": true,
    "nextCursor": "string"
  },
  "meta": {
    "accountsQueried": 42,
    "accountsFailed": 42,
    "failedAccounts": [
      {
        "accountId": "696e0b682d0a31188e7a2ba9",
        "accountUsername": "acme",
        "platform": "instagram",
        "error": "string",
        "code": "string",
        "retryAfter": 1
      }
    ],
    "lastUpdated": "2026-10-02T09:00:00.000Z",
    "accountsSkipped": [
      {
        "accountId": "696e0b682d0a31188e7a2ba9",
        "platform": "instagram"
      }
    ]
  },
  "summary": {
    "totalReviews": 42,
    "averageRating": 12.5
  }
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Reviews